php (SSA:2006-045-07)
Posted on: 02/15/2006 12:11 PM

New php packages are available for Slackware 10.2 and -current to fix minor security issues.

More details about these issues may be found on the PHP website:

Here are the details from the Slackware 10.2 ChangeLog:
patches/packages/php-4.4.2-i486-1.tgz: Upgraded to php-4.4.2.
Claims to fix "a few small security issues".
For more information, see:
(* Security fix *)
patches/packages/php-4.4.2-i486-2.tgz: Rebuilt the package to
clean up some junk dotfiles that were installed in the /
directory. Harmless, but sloppy...
Thanks to Krzysztof Oledzki for pointing this out.
patches/packages/php-4.4.2-i486-3.tgz: Fixed some more bugs from the 4.4.2
release... hopefully the third time is the charm.
Replaced PEAR packages for which the 4.4.2 release contained incorrect
md5sums: Archive_Tar-1.3.1, Console_Getopt-1.2, and HTML_Template_IT-1.1.3.
(this last one was also not upgraded to the stable version that was released
on 2005-11-01) Sorry to have delayed the advisories, but these bugs had to
be fixed first. IMHO, the security issues are of dubious severity anyway,
or a more agressive approach would have been taken (though this would likely
have caused a lot of people to upgrade to the broken -1 or -2 package
revisions, so anyone who didn't know about this until now was probably saved
a hassle.)
Upgraded other PEAR modules to HTTP-1.4.0, Net_SMTP-1.2.8, and XML_RPC-1.4.5.
Thanks again to Krzysztof Oledzki for the bug report.

Where to find the new packages:

Updated package for Slackware 10.2:

Updated package for Slackware -current:

MD5 signatures:

Slackware 10.2 package:
94afdf14dc0a5970fab35e0eb217acfa php-4.4.2-i486-3.tgz

Slackware -current package:
2928735246962c93cbb7cf84d06eb354 php-4.4.2-i486-3.tgz

Installation instructions:

Upgrade the package as root:
# upgradepkg php-4.4.2-i486-3.tgz


Slackware Linux Security Team

Printed from Linux Compatible (